/*
 * File: FollowMouse.java
 * ================================================================
 * A program that tracks the mouse position.
 */
import acm.program.*;
import acm.graphics.*;

import java.awt.*;
import java.awt.event.*;

public class FollowMouse extends GraphicsProgram {
	private static final int TRACKER_SIZE = 50;
	
	/* The oval that tracks the mouse. */
	private GOval tracker;
	
	public void run() {
		addTracker();
		addMouseListeners();
	}
	
	/**
	 * Reacts to mouse motion by having the tracker follow the mouse.
	 */
	public void mouseMoved(MouseEvent e) {
		tracker.setLocation(e.getX() - tracker.getWidth() / 2.0,
				            e.getY() - tracker.getHeight() / 2.0);
	}
	
	/**
	 * Creates and adds the tracker, a circle that follows the mouse.
	 */
	private void addTracker() {
		tracker = new GOval(0, 0, TRACKER_SIZE, TRACKER_SIZE);
		tracker.setFilled(true);
		tracker.setColor(Color.BLUE);
		add(tracker);
	}
}



