/**
 * File: HolePuncher.java
 * Author: Keith Schwarz (htiek@cs.stanford.edu)
 * 
 * A program that simulates a hole puncher in Java!
 */
import java.awt.event.*;

import acm.program.*;
import acm.graphics.*;

public class HolePuncher extends GraphicsProgram {
	/* The radius of a hole that should be punched. */
	private static final double HOLE_RADIUS = 10;
	
	public void run() {
		addMouseListeners();
	}
	
	/**
	 * Reacts to a mouse press by drawing a circle centered at the
	 * click location.
	 */
	public void mousePressed(MouseEvent e) {
		GOval hole = new GOval(e.getX() - HOLE_RADIUS,
				               e.getY() - HOLE_RADIUS,
				               HOLE_RADIUS * 2,
				               HOLE_RADIUS * 2);
		hole.setFilled(true);
		add(hole);
	}
}



